<?php
if (!defined("_ECRIRE_INC_VERSION")) return;	#securite

include_spip('base/abstract_sql');

function balise_FORMULAIRE_ACHETER($p) {
    return calculer_balise_dynamique($p, 'FORMULAIRE_ACHETER', array('id_article'));
}

function balise_FORMULAIRE_ACHETER_stat($args, $filtres) {
    if ( !$args[0] )
        return erreur_squelette(
            _T('zbug_champ_hors_motif',
                array ('champ' => '#FORMULAIRE_ACHETER',
                       'motif' => 'pas de contexte ARTICLES')), '');
    
    $s = spip_abstract_select(
        'ref_produit,don,prix_unitaire_ht,tva,nom_com',
        array(
            'gopaypal_produits' => 'spip_gopaypal_produits',
        ),
        array(
            'gopaypal_produits.id_article='.intval($args[0])
        )
    );
    
    if ( spip_num_rows($s) == 0 ) {
        return '';
    }
    
    $row = spip_fetch_array($s, SPIP_NUM);
    for ($i = 1; $i < 6; $i++ )
        $args[$i] = $row[$i - 1];
    
    return $args;
}

function balise_FORMULAIRE_ACHETER_dyn($id_article, $ref_produit, $don, $prix_unitaire_ht, $tva, $nom_com) {
    $quantite          = _request('quantite');
    $taxes = 0.0;
    if ( !$don ) 
        $taxes = round($prix_unitaire_ht * ($tva / 100), 2);
    $prix_unitaire_ttc = $taxes + $prix_unitaire_ht;
    
    if ( $quantite === null ) {
        $quantite = 1;
    }
    else {
        $quantite = intval($quantite);
    }
    
    return array(
        'formulaires/formulaire_acheter', 
        0, 
        array(
            'custom'            => serialize(array('id_auteur' => (isset($GLOBALS['auteur_session']['id_auteur']))?$GLOBALS['auteur_session']['id_auteur']:0)),
            'id_article'        => $id_article,
            'ref_produit'       => $ref_produit,
            'nom_com'           => $nom_com,
            'don'               => $don,
            'quantite'          => $quantite,
            'prix_unitaire_ht'  => $prix_unitaire_ht,
            'taxes'             => $taxes,
            'prix_unitaire_ttc' => $prix_unitaire_ttc,
            'monnaie'           => 'EUR',
            'total_ttc'         => $quantite * $prix_unitaire_ttc,
            'dir_notification'  => _DIR_PLUGIN_GOPAYPAL
        )
    );
}
?>